#
# spec file for package python-gevent-websocket
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-gevent-websocket
Version:        0.10.1
Release:        2.1
Summary:        Websocket handler for the gevent pywsgi server, a Python network library
License:        Apache-2.0
URL:            https://www.gitlab.com/noppo/gevent-websocket
Source:         https://files.pythonhosted.org/packages/source/g/gevent-websocket/gevent-websocket-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-gevent
BuildArch:      noarch
%python_subpackages

%description
Websocket handler for the gevent pywsgi server, a Python network library

%prep
%setup -q -n gevent-websocket-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/geventwebsocket
%{python_sitelib}/gevent_websocket-%{version}*-info

%changelog
* Tue May 27 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Thu Jan 19 2023 Michal Suchanek <msuchanek@suse.com>
- Update to version 0.10.1
  - support python 3
- Refresh spec file, drop obsolete constructs
- Update project URL
- Update project license
- Do not run tests, this version does not have any
* Fri Aug 29 2014 toddrme2178@gmail.com
- Update to version 0.9.3
  + No changelog available
* Wed Dec 11 2013 p.drouand@gmail.com
- Update to version 0.9
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jun 26 2012 saschpe@suse.de
- Update to version 0.3.6:
  + Added missing Gunicorn worker
  + Resolved #24 socket_error undefined
* Thu Feb  9 2012 saschpe@suse.de
- Remove old tarballs
- Spec cleanup:
  + No CFLAGS for noarch package
  + Simplified macro usage
* Tue Feb  7 2012 cfarrell@suse.com
- Update to version 0.3.0:
  + Updated docs
  + PEP8
  + Cleaned up examples and moved the autobahn testrunner.
  + fix close(): previously it might have caused receive() to hang
* Tue Jan 31 2012 cfarrell@suse.com
- Update to mercurial changeset 70:c32ee0e06bd4:
  + Splitted the Python fixes and exceptions in separate modules
  + Updated python shebang
* Mon Jan 23 2012 cfarrell@suse.com
- hg update to commit f3b44105105e to get new fixes
* Mon Jan  9 2012 cfarrell@suse.com
- Update to latest mercurial version and start testing
* Fri Nov 18 2011 cfarrell@suse.com
- Forgot to do a hg update stable in the mercurial tree
* Thu Nov 17 2011 cfarrell@suse.com
- pulled from hg trunk as it looks like protocol version 8 is now supported
